/***************************************************************************
                          pabilotest.cpp  -  description
                             -------------------
    begin                : Wed Aug  7 16:08:09 CEST 2002
    copyright            : (C) 2002 by Michiel van Turnhout
    email                : info@qris.myweb.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <qpushbutton.h>

#include "pabilotest.h"

Pabilotest::Pabilotest(QWidget *parent, const char *name) : Form1(parent, name)
{
  statusBar = new QStatusBar(this,"hello");
  statusBar->message("Running");
  QObject::connect((QObject *)SpeedSlider,SIGNAL( valueChanged( int)), this, SLOT(setSpeed(int)) );
  QObject::connect((QObject *)RunButton,SIGNAL( toggled(bool)), this, SLOT(setRunning(bool)) );
  speedo = new Speedo();
  speedo->start();
}

Pabilotest::~Pabilotest()
{
  speedo->setRunning(false);
  delete(speedo);
}

void Pabilotest::setSpeed(int nspeed) {
  speedo->setSpeed(nspeed);
}

//We need to synchronyze the RunButton status with the serial status
void Pabilotest::setRunning(bool status) {
  if(status) statusBar->message("Stopped");
  else statusBar->message("Running");
  if(! speedo->isRunning()) speedo->start();
  else speedo->setRunning(status);
}
